[Rainmeter]
Author=Natali
Update=1000

MouseOverAction=!Execute [!RainmeterShowMeter mtTrashCount][!RainmeterShowMeter mtSizeCount][!RainmeterSetVariable Grey 1][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeter mtTrashCount][!RainmeterHideMeter mtSizeCount][!RainmeterSetVariable Grey 0][!RainmeterRedraw]


;End of added Metadata

[Variables]
Grey=0
KiloByte=1024
MegaByte=1048576
GigaByte=1073741824
TeraByte=1099511627776

=======================================
[MeasureBin]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=SIZE
Drives=ALL
AverageSize=20
Autoscale=1

[MeasureBinNum]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT
AverageSize=20

[MeasureIsFull]
Measure=CALC
Formula=MeasureBinNum>0

=======================================

[BinIcon]
Meter=IMAGE
MeasureName=MeasureIsFull
X=130
Y=0
W=75
H=75
ImageName=%1.png
AntiAlias=1
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureBinNum OpenBin"]
RightMouseUpAction=!execute [!RainmeterPluginBang "MeasureBin EmptyBin"]

=======================================

[label]
Meter=String
X=55
Y=5
FontColor=41,183,255
FontFace=SlideR
FontSize=11
StringAlign=left
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
Text="Корзина"
AntiAlias=1
=======================================

[msSizeType]
Measure=Calc
Formula=MeasureBin2=0?-6:(MeasureBin<#KiloByte#?-1:(MeasureBin<#MegaByte#?-2:(MeasureBin<#GigaByte#?-3:(MeasureBin<#TeraByte#?-4:-5))))
Substitute=".0":"","-6":"","-1":" Bytes","-2":" Kb","-3":" Mb","-4":" Gb","-5":" Tb"

[MeasureBin2]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=COUNT
Drives=ALL
UpdateDivider=2

[msSizeCalc]
Measure=Calc
Formula=(MeasureBin2=0)?-1:(msSizeType=(-1)?MeasureBin:(msSizeType=(-2)?MeasureBin/#KiloByte#:(msSizeType=(-3)?MeasureBin/#MegaByte#:(msSizeType=(-4)?MeasureBin/#GigaByte#:MeasureBin/#TeraByte#))))
Substitute=".0":"","-1":""

[msText]
Measure=Calc
Formula=MeasureBin2=0?-1:MeasureBin2
Substitute=".0":"","-1":""

[msPostfix]
Measure=Calc
Formula=MeasureBin2=0?-1:(MeasureBin2=1?-2:-3)
Substitute=".0":"","-1":"","-2":" файл","-3":" F"

[mtTrashCount]
Meter=String
MeasureName=msText
MeasureName2=msPostfix
MeasureName3=msSizeCalc
MeasureName4=msSizeType
x=55
y=35
FontColor=41,183,255
FontFace=SlideR
FontSize=11
StringAlign=Left
StringStyle=BOLD
StringEffect=Border
FontEffectColor=0,0,0,255
Text="%1%2#CRLF#%3%4"
AntiAlias=1
NumOfDecimals=1
Hidden=1
